Package net.snowflake.client.core.bind

## Class BindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.snowflake.client.core.bind.BindException

All Implemented Interfaces:
  `Serializable`

    public class BindException
    extends Exception

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `BindException.Type`

### Field Summary

Fields
`BindException.Type` `type`

### Constructor Summary

Constructors
`BindException​(String msg, BindException.Type type)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public final BindException.Type type

### Constructor Detail

#### BindException

    public BindException​(String msg,
                         BindException.Type type)